• Share
    • Twitter
    • LinkedIn
    • Facebook
    • Email
  • Feedback
  • Edit
Show / Hide Table of Contents

POST Agents/List/SaveProjectTypeEntity

Some tooltip text!
• 4 minutes to read
 • 4 minutes to read
POST /api/v1/Agents/List/SaveProjectTypeEntity

Updates the existing ProjectTypeEntity or creates a new ProjectTypeEntity if the id parameter is 0.

NsApiSlow threshold: 5000 ms.

Request Headers

Parameter Name Description
Authorization Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type.
X-XSRF-TOKEN If not using Authorization header, you must provide XSRF value from cookie or hidden input field
Content-Type Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json
Accept Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json
Accept-Language Convert string references and multi-language values into a specified language (iso2) code.
SO-Language Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.
SO-Culture Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.
SO-TimeZone Specify the timezone code that you would like date/time responses converted to.
SO-AppToken The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Request Body: projectTypeEntity

The ProjectTypeEntity that is saved

Property Name Type Description
ProjTypeId Integer Primary key
Name String The list item
Tooltip String Tooltip or other description
Rank Integer Rank order
DurationUnit String Units for the duration
ProjectDuration Integer Expected duration of project, in given units
Deleted Boolean 0 -> record is active 1 -> record is 'deleted' and should not be shown in lists
HasGuide Boolean Does this project type have a guide attached
IsAutoAdvance Boolean Does the project status advance automatically, when the last guided activity in a status is completed?
Stages Array Stages (project statuses), those associated with this ProjType are selected.

Response:

OK

Response Description
200 OK

Response body: ProjectTypeEntity

Property Name Type Description
ProjTypeId int32 Primary key
Name string The list item
Tooltip string Tooltip or other description
Rank int32 Rank order
DurationUnit string Units for the duration
ProjectDuration int32 Expected duration of project, in given units
Deleted bool 0 -> record is active 1 -> record is 'deleted' and should not be shown in lists
HasGuide bool Does this project type have a guide attached
IsAutoAdvance bool Does the project status advance automatically, when the last guided activity in a status is completed?
Stages array Stages (project statuses), those associated with this ProjType are selected.
TableRight TableRight The carrier's table right
FieldProperties object Field property dictionary mapping field names to field access rights.

Sample request

POST /api/v1/Agents/List/SaveProjectTypeEntity
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8

{
  "ProjTypeId": 783,
  "Name": "Effertz, Dicki and Blanda",
  "Tooltip": "unde",
  "Rank": 491,
  "DurationUnit": "Century",
  "ProjectDuration": 349,
  "Deleted": true,
  "HasGuide": false,
  "IsAutoAdvance": false,
  "Stages": [
    {
      "Id": 30,
      "Name": "Howe-Nienow",
      "ToolTip": "Nam aut quia quae cupiditate amet enim occaecati.",
      "Deleted": false,
      "Rank": 381,
      "Type": "sunt",
      "ColorBlock": 1000,
      "IconHint": "et",
      "Selected": true,
      "LastChanged": "2019-01-19T10:11:00.2928806+01:00",
      "ChildItems": [
        {},
        {}
      ],
      "ExtraInfo": "optio",
      "StyleHint": "vero",
      "Hidden": true,
      "FullName": "Miracle Timmy Jewess Sr."
    }
  ]
}

Sample response

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
  "ProjTypeId": 771,
  "Name": "Lynch, Mante and Bednar",
  "Tooltip": "consectetur",
  "Rank": 603,
  "DurationUnit": "Century",
  "ProjectDuration": 15,
  "Deleted": false,
  "HasGuide": false,
  "IsAutoAdvance": false,
  "Stages": [
    {
      "Id": 181,
      "Name": "Tremblay, Upton and Dickinson",
      "ToolTip": "Magni nemo cum at sit ut aut.",
      "Deleted": false,
      "Rank": 885,
      "Type": "consequatur",
      "ColorBlock": 356,
      "IconHint": "ab",
      "Selected": false,
      "LastChanged": "2012-03-04T10:11:00.2938804+01:00",
      "ChildItems": [
        {},
        {}
      ],
      "ExtraInfo": "ipsam",
      "StyleHint": "minus",
      "Hidden": true,
      "FullName": "Prof. Lyda Ibrahim Will V",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.String",
          "FieldLength": 424
        }
      }
    }
  ],
  "TableRight": null,
  "FieldProperties": {
    "fieldName": {
      "FieldRight": null,
      "FieldType": "System.String",
      "FieldLength": 779
    }
  }
}
© SuperOffice. All rights reserved.
SuperOffice |  Community |  Release Notes |  Privacy |  Site feedback |  Search Docs |  About Docs |  Contribute |  Back to top